Bug 950057 - Review Request: perl-Sys-Syslog - Perl interface to the UNIX syslog(3) calls
Summary: Review Request: perl-Sys-Syslog - Perl interface to the UNIX syslog(3) calls
Keywords:
Status: CLOSED ERRATA
Alias: None
Product: Fedora
Classification: Fedora
Component: Package Review
Version: rawhide
Hardware: All
OS: Linux
medium
medium
Target Milestone: ---
Assignee: Jitka Plesnikova
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard:
Depends On:
Blocks: 950017
TreeView+ depends on / blocked
 
Reported: 2013-04-09 14:33 UTC by Petr Pisar
Modified: 2013-08-27 14:42 UTC (History)
3 users (show)

Fixed In Version: perl-Sys-Syslog-0.32-1.fc20
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2013-08-27 14:42:24 UTC
jplesnik: fedora-review+
gwync: fedora-cvs+


Attachments (Terms of Use)

Description Petr Pisar 2013-04-09 14:33:30 UTC
Spec URL: http://ppisar.fedorapeople.org/perl-Sys-Syslog/perl-Sys-Syslog.spec
SRPM URL: http://ppisar.fedorapeople.org/perl-Sys-Syslog/perl-Sys-Syslog-0.32-1.fc20.src.rpm
Description:
Sys::Syslog is an interface to the UNIX syslog(3) function. Call syslog() with
a string priority and a list of printf() arguments just like at syslog(3).

Fedora Account System Username: ppisar

----
This package will dual-live with core modules after sub-packaging them from perl.spec. This package is intended for F≥18.

Comment 1 Petr Pisar 2013-04-09 15:55:16 UTC
Sub-packaged in perl-5.16.3-269.fc20.

Comment 2 Jitka Plesnikova 2013-04-10 08:15:11 UTC
Package Review
==============

Key:
[x] = Pass, [!] = Fail, [-] = Not applicable, [?] = Not evaluated
[ ] = Manual review needed

===== MUST items =====

Generic:
[x]: Package is licensed with an open-source compatible license and meets
     other legal requirements as defined in the legal section of Packaging
     Guidelines.
[x]: If (and only if) the source package includes the text of the license(s)
     in its own file, then that file, containing the text of the license(s)
     for the package is included in %doc.
[x]: License field in the package spec file matches the actual license.
[x]: If the package is under multiple licenses, the licensing breakdown must
     be documented in the spec.
[x]: Package does not own files or directories owned by other packages.
[x]: %build honors applicable compiler flags or justifies otherwise.
[x]: Package contains no bundled libraries without FPC exception.
[x]: Changelog in prescribed format.
[x]: Sources contain only permissible code or content.
[-]: Package contains desktop file if it is a GUI application.
[-]: Development files must be in a -devel package
[x]: Package uses nothing in %doc for runtime.
[x]: Package consistently uses macros (instead of hard-coded directory names).
[x]: Package is named according to the Package Naming Guidelines.
[x]: Package does not generate any conflict.
[x]: Package obeys FHS, except libexecdir and /usr/target.
[-]: If the package is a rename of another package, proper Obsoletes and
     Provides are present.
[x]: Requires correct, justified where necessary.
[x]: Spec file is legible and written in American English.
[-]: Package contains systemd file(s) if in need.
[x]: Useful -debuginfo package or justification otherwise.
[-]: Package is not known to require an ExcludeArch tag.
[-]: Large documentation must go in a -doc subpackage.
[x]: Package complies to the Packaging Guidelines
[x]: Package successfully compiles and builds into binary rpms on at least one
     supported primary architecture.
[x]: Rpmlint is run on all rpms the build produces.
     Note: There are rpmlint messages (see attachment).
[x]: Package requires other packages for directories it uses.
[x]: Package must own all directories that it creates.
[x]: All build dependencies are listed in BuildRequires, except for any that
     are listed in the exceptions section of Packaging Guidelines.
[x]: Package does not run rm -rf %{buildroot} (or $RPM_BUILD_ROOT) at the
     beginning of %install.
[x]: Each %files section contains %defattr if rpm < 4.4
[x]: Macros in Summary, %description expandable at SRPM build time.
[x]: Package does not contain duplicates in %files.
[x]: Permissions on files are set properly.
[x]: Fully versioned dependency in subpackages, if present.
[x]: Package use %makeinstall only when make install' ' DESTDIR=... doesn't
     work.
[x]: Package is named using only allowed ASCII characters.
[x]: Package do not use a name that already exist
[x]: Package is not relocatable.
[x]: Sources used to build the package match the upstream source, as provided
     in the spec URL.
[x]: Spec file name must match the spec package %{name}, in the format
     %{name}.spec.
[x]: File names are valid UTF-8.
[x]: Packages must not store files under /srv, /opt or /usr/local

Perl:
[x]: Package contains the mandatory BuildRequires and Requires:.
[x]: CPAN urls should be non-versioned.

===== SHOULD items =====

Generic:
[x]: If the source package does not include license text(s) as a separate file
     from upstream, the packager SHOULD query upstream to include it.
[x]: Final provides and requires are sane (see attachments).
[?]: Package functions as described.
[x]: Latest version is packaged.
[x]: Package does not include license text files separate from upstream.
[-]: Description and summary sections in the package spec file contains
     translations for supported Non-English languages, if available.
[x]: Package should compile and build into binary rpms on all supported
     architectures.
[x]: %check is present and all tests pass.
[x]: Packages should try to preserve timestamps of original installed files.
[x]: Sources can be downloaded from URI in Source: tag
[x]: Reviewer should test that the package builds in mock.
[x]: Buildroot is not present
[x]: Package has no %clean section with rm -rf %{buildroot} (or
     $RPM_BUILD_ROOT)
[x]: Dist tag is present.
[x]: No file requires outside of /etc, /bin, /sbin, /usr/bin, /usr/sbin.
[x]: Uses parallel make.
[x]: SourceX tarball generation or download is documented.
[x]: SourceX is a working URL.
[x]: Spec use %global instead of %define unless justified.

===== EXTRA items =====
Generic:
[x]: Rpmlint is run on all installed packages.
     Note: Mock build failed
[x]: Large data in /usr/share should live in a noarch subpackage if package is
     arched.
[x]: Spec file according to URL is the same as in SRPM.


$ rpmlint ./perl-Sys-Syslog.spec ./perl-Sys-Syslog-0.32-1.fc20.*
perl-Sys-Syslog.src: W: spelling-error %description -l en_US printf -> print, prints, print f
perl-Sys-Syslog.x86_64: W: spelling-error %description -l en_US printf -> print, prints, print f
2 packages and 1 specfiles checked; 0 errors, 2 warnings.
Rpmlint ok

$ rpm -qp --requires ../results/perl-Sys-Syslog-0.32-1.fc20.x86_64.rpm | sort | uniq -c
      1 libc.so.6()(64bit)
      1 libc.so.6(GLIBC_2.2.5)(64bit)
      1 libc.so.6(GLIBC_2.4)(64bit)
      1 perl >= 0:5.005
      1 perl(:MODULE_COMPAT_5.16.3)
      1 perl(Carp)
      1 perl(Exporter)
      1 perl(Fcntl)
      1 perl(File::Basename)
      1 perl(POSIX)
      1 perl(Socket)
      1 perl(XSLoader)
      1 perl(strict)
      1 perl(vars)
      1 perl(warnings)
      1 perl(warnings::register)
      1 rpmlib(CompressedFileNames) <= 3.0.4-1
      1 rpmlib(FileDigests) <= 4.6.0-1
      1 rpmlib(PayloadFilesHavePrefix) <= 4.0-1
      1 rpmlib(PayloadIsXz) <= 5.2-1
      1 rtld(GNU_HASH)
Binary requires are ok.

$ rpm -qp --provides ../results/perl-Sys-Syslog-0.32-1.fc20.x86_64.rpm | sort | uniq -c
      1 perl(Sys::Syslog) = 0.32
      1 perl-Sys-Syslog = 0.32-1.fc20
      1 perl-Sys-Syslog(x86-64) = 0.32-1.fc20
Binary provides are ok.

MD5-sum check
-------------
http://www.cpan.org/authors/id/S/SA/SAPER/Sys-Syslog-0.32.tar.gz :
  CHECKSUM(SHA256) this package     : c27e4b0100b2eb8edd06ada4068136ce4432be6f7763782ddf6528f25022d5a2
  CHECKSUM(SHA256) upstream package : c27e4b0100b2eb8edd06ada4068136ce4432be6f7763782ddf6528f25022d5a2

Generated by fedora-review 0.3.1 (93e63af) last change: 2012-11-30


Package is good.
Approved

Comment 3 Petr Pisar 2013-04-10 08:33:20 UTC
New Package SCM Request
=======================
Package Name: perl-Sys-Syslog
Short Description: Perl interface to the UNIX syslog(3) calls
Owners: ppisar jplesnik psabata
Branches: f18 f19
InitialCC: perl-sig

Comment 4 Gwyn Ciesla 2013-04-10 10:49:14 UTC
Git done (by process-git-requests).

Comment 5 Fedora Update System 2013-04-11 11:02:34 UTC
perl-5.16.3-262.fc19 has been submitted as an update for Fedora 19.
https://admin.fedoraproject.org/updates/perl-5.16.3-262.fc19

Comment 6 Fedora Update System 2013-04-11 11:08:04 UTC
perl-5.16.3-242.fc18 has been submitted as an update for Fedora 18.
https://admin.fedoraproject.org/updates/perl-5.16.3-242.fc18

Comment 7 Fedora Update System 2013-04-20 19:14:58 UTC
perl-5.16.3-262.fc19, perl-Sys-Syslog-0.32-1.fc19 has been pushed to the Fedora 19 stable repository.  If problems still persist, please make note of it in this bug report.

Comment 8 Fedora Update System 2013-04-25 00:45:22 UTC
perl-5.16.3-242.fc18, perl-Sys-Syslog-0.32-1.fc18 has been pushed to the Fedora 18 stable repository.  If problems still persist, please make note of it in this bug report.


Note You need to log in before you can comment on or make changes to this bug.